package animation;

import java.util.Enumeration;

import javax.media.j3d.Interpolator;
import javax.media.j3d.WakeupOnElapsedFrames;

public class AnimationInterpolator extends Interpolator {

	private UpdateListener updateListener = null;
	
	public AnimationInterpolator(UpdateListener ul) {
		updateListener = ul;
	}
	
	@Override
	public void processStimulus(@SuppressWarnings("rawtypes") Enumeration arg0) {
		updateListener.updateSceneGraph();
		wakeupOn(defaultWakeupCriterion);
		// Note that the defaultWakeupCriterion object is a WakeupOnElapsedFrames 
		// object with an elapsedFrameCount of 0
	}

}
